## DPAPRecord DPAPRecord |

## Functions

GInputStream * | dpap_record_read ()

## Properties

gchar * | aspect-ratio | Read / Write
gchar * | comments | Read / Write
gint | creation-date | Read / Write
gchar * | filename | Read / Write
gchar * | format | Read / Write
gpointer | hash | Read / Write
gint | large-filesize | Read / Write
gchar * | location | Read / Write
gint | pixel-height | Read / Write
gint | pixel-width | Read / Write
gint | rating | Read / Write
gpointer | thumbnail | Read / Write

## Object Hierarchy

        GInterface
        ╰── DPAPRecord

## Description

## Functions

### dpap_record_read ()

    GInputStream *
    dpap_record_read (DPAPRecord *record,
                      GError **err);

#### Parameters

record | a DPAPRecord. |
err | a GError. |

#### Returns

A GInputStream that provides read-only access to the data stream associated with record.

## Types and Values

## Property Details

### The `“aspect-ratio”` property

      “aspect-ratio”             gchar *

Photo aspect ratio.

Flags: Read / Write

Default value: NULL

### The `“comments”` property

      “comments”                 gchar *

Photo comments.

Flags: Read / Write

Default value: NULL

### The `“creation-date”` property

      “creation-date”            gint

Photo creation date.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“filename”` property

      “filename”                 gchar *

Photo filename.

Flags: Read / Write

Default value: NULL

### The `“format”` property

      “format”                   gchar *

Photo data format.

Flags: Read / Write

Default value: NULL

### The `“hash”` property

      “hash”                     gpointer

Hash of media file contents.

Flags: Read / Write

### The `“large-filesize”` property

      “large-filesize”           gint

Photo large file size.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“location”` property

      “location”                 gchar *

URI pointing to photo data.

Flags: Read / Write

Default value: NULL

### The `“pixel-height”` property

      “pixel-height”             gint

Photo pixel height.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“pixel-width”` property

      “pixel-width”              gint

Photo pixel width.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“rating”` property

      “rating”                   gint

Photo rating.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“thumbnail”` property

      “thumbnail”                gpointer

Photo thumbnail.

Flags: Read / Write